Open CASCADE Technology
7.2.0
|
This class implements the following algorithms used to create a Line from Geom. More...
#include <GC_MakeLine.hxx>
Public Member Functions | |
GC_MakeLine (const gp_Ax1 &A1) | |
Creates a line located in 3D space with the axis placement A1. The Location of A1 is the origin of the line. More... | |
GC_MakeLine (const gp_Lin &L) | |
Creates a line from a non persistent line from package gp. More... | |
GC_MakeLine (const gp_Pnt &P, const gp_Dir &V) | |
P is the origin and V is the direction of the line. More... | |
GC_MakeLine (const gp_Lin &Lin, const gp_Pnt &Point) | |
Make a Line from Geom <TheLin> parallel to another Lin <Lin> and passing through a Pnt <Point>. More... | |
GC_MakeLine (const gp_Pnt &P1, const gp_Pnt &P2) | |
Make a Line from Geom <TheLin> passing through 2 Pnt <P1>,<P2>. It returns false if <p1> and <P2> are confused. Warning If the points P1 and P2 are coincident (that is, when IsDone returns false), the Status function returns gce_ConfusedPoints. More... | |
const Handle< Geom_Line > & | Value () const |
Returns the constructed line. Exceptions StdFail_NotDone if no line is constructed. More... | |
operator const Handle< Geom_Line > & () const | |
Public Member Functions inherited from GC_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction: More... | |
Additional Inherited Members | |
Protected Attributes inherited from GC_Root | |
gce_ErrorType | TheError |
This class implements the following algorithms used to create a Line from Geom.
GC_MakeLine::GC_MakeLine | ( | const gp_Ax1 & | A1 | ) |
Creates a line located in 3D space with the axis placement A1. The Location of A1 is the origin of the line.
GC_MakeLine::GC_MakeLine | ( | const gp_Lin & | L | ) |
Creates a line from a non persistent line from package gp.
P is the origin and V is the direction of the line.
Make a Line from Geom <TheLin> parallel to another Lin <Lin> and passing through a Pnt <Point>.
Make a Line from Geom <TheLin> passing through 2 Pnt <P1>,<P2>. It returns false if <p1> and <P2> are confused. Warning If the points P1 and P2 are coincident (that is, when IsDone returns false), the Status function returns gce_ConfusedPoints.
Returns the constructed line. Exceptions StdFail_NotDone if no line is constructed.